#!/bin/bash


DEVELOPMENT=${DEVELOPMENT:="false"}
WORKERS=${WORKERS:=8}
WORKER_TIMEOUT=${WORKER_TIMEOUT:=120}


if [[ "$DEVELOPMENT" = true ]] ; then
    echo "Running manage.py runserver"
    python3 "$INSTANCE_DIR"/manage.py runserver 0.0.0.0:80
else
    echo "Running gunicorn"
    exec \
        gunicorn \
        --config /opt/core/gunicorn.conf.py pvs_instance.wsgi:application \
        --timeout "${WORKER_TIMEOUT}" \
        --workers "${WORKERS}" \
        2>&1
fi
